Seite 1 von 1

[RESOLU]winst échoue dans l'exécution de cd autoit Execwith]

Verfasst: 23 Okt 2011, 22:37
von nicolaslebrun
Bonjour,

je cherche à executer un bout de code autoit dans un paquet opsi-winst.

Voilà le code du paquet

Code: Alles auswählen

[Actions]
ExecWith_edit "notepad.exe" WINST /letThemGo
ExecWith_try "autoit3.exe" WINST /letThemGo

[ExecWith_edit]
Coucou

[ExecWith_try]
MsgBox(1, "Une boite de test", "Juste pour voir")


Les actions sont bien lancées mais j'ai l'impression que :
- pour le notepad : très souvent le fichier _winstbat_1.bat qui est créé par winst l'est trop tard pour que notepad puisse le lire ( notepad est lancé et dit "le fichier c:\temp\_winstbat_1.bat n'existe pas. Voulez vous le créer ?" )
- pour le AutoIt, l'appel de autoit3 échoue, là encore comme si le fichier _winstbat_2.bat n'existait pas ...

J'ai vu qu'il y avait eu une évolution dans le code de ExecWith récemment, mais pour moi ca ne fonctionne toujours pas ...

++

Re: winst échoue dans l'exécution de code autoit [Execwith]

Verfasst: 13 Feb 2012, 19:12
von nicolaslebrun
Problème en partie résolu ... En fait, l'appel a Autoit ne fonctionne pas avec l'option /letThemGo ...

En effet, le fichier temporaire c:\tmp\install1.bat (un truc dans le genre) est déjà effacé, donc AutoIt ne peut pas l'exécuter !!!

Nicolas

Re: [RESOLU]winst échoue dans l'exécution de cd autoit Execw

Verfasst: 23 Apr 2012, 21:08
von nicolaslebrun
Maintenant, ca marche aussi avec l'AutoIt ...

Je me demande si je ne me suis pas planté les dernières fois ...

En tous les cas, l'appel à autoit3.exe avec l'option /LetThemGo fonctionne.

Des winwait, winactivate et controlclick depuis AutoIt permettent de se sortir des situations où l'installateur n'est pas totalement silencieux.

Re: [RESOLU]winst échoue dans l'exécution de cd autoit Execw

Verfasst: 20 Sep 2012, 13:47
von mikhelee
Une question, quelle est la version de ton paquet opsi-client-agent ? Quel OS sur les machines ?

Re: [RESOLU]winst échoue dans l'exécution de cd autoit Execw

Verfasst: 16 Okt 2012, 22:07
von nicolaslebrun
désolé pas passé depuis un bout de temps...

WinXP SP3 sur tout le parc.

Version de l'agent, je ne sais plus 4.0.1-6 minimum